Package ru.bitel.bgbilling.modules.rentsoft.server.bean

# Class RentsoftPaymentManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<RentsoftPayment>
ru.bitel.bgbilling.common.dao.AbstractIdDao<RentsoftPayment>
ru.bitel.bgbilling.modules.rentsoft.server.bean.RentsoftPaymentManager

public class RentsoftPaymentManager extends ru.bitel.bgbilling.common.dao.AbstractIdDao<RentsoftPayment>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RentsoftPaymentManager(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `areChargesAllowedToCid(int contractId)`
  `boolean`
  `billUser(RentsoftPayment payment, boolean revert)`
  `boolean`
  `checkCid(int contractId)`
  `String`
  `cidToUuid(int ccontractId)`
  `void`
  `deleteForContract(int contractId)`
  `RentsoftPayment`
  `getByTxid(String txid)`
  `int`
  `getCidToCharge(int parentContractId)`
  `String`
  `getCurrentBalance(int contractId)`
  `protected RentsoftPayment`
  `getFromRS(ResultSet rs)`
  `boolean`
  `getIsJuridical(int contractId)`
  `boolean`
  `getIsPostpaid(int contractId)`
  `List<RentsoftPayment>`
  `getPaymentList(int productId, int cid)`
  `String`
  `getTariffIds(int contractId)`
  `List<String>`
  `getUuidsByTariff(int tid)`
  `boolean`
  `isEnoughMoney(int contractId, BigDecimal amount)`
  `boolean`
  `isTxidExists(String txid)`
  `boolean`
  `recalculateUser(int contractId, Date date)`
  `protected void`
  `updateImpl(RentsoftPayment rentsoftPayment)`
  `int`
  `uuidToCid(String uuid)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, sqlLimit`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RentsoftPaymentManager

    public RentsoftPaymentManager(Connection con, int moduleId) throws SQLException
    Throws:
      `SQLException`

- ## Method Details

  - ### getPaymentList

    public List<RentsoftPayment> getPaymentList(int productId, int cid) throws SQLException
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(RentsoftPayment rentsoftPayment) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<RentsoftPayment>`
    Throws:
      `SQLException`

  - ### getFromRS

    protected RentsoftPayment getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<RentsoftPayment>`
    Throws:
      `SQLException`

  - ### getByTxid

    public RentsoftPayment getByTxid(String txid) throws SQLException
    Throws:
      `SQLException`

  - ### isTxidExists

    public boolean isTxidExists(String txid) throws SQLException
    Throws:
      `SQLException`

  - ### checkCid

    public boolean checkCid(int contractId) throws SQLException
    Throws:
      `SQLException`

  - ### isEnoughMoney

    public boolean isEnoughMoney(int contractId, BigDecimal amount) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### billUser

    public boolean billUser(RentsoftPayment payment, boolean revert) throws Exception
    Throws:
      `Exception`

  - ### recalculateUser

    public boolean recalculateUser(int contractId, Date date) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getCurrentBalance

    public String getCurrentBalance(int contractId)

  - ### getTariffIds

    public String getTariffIds(int contractId) throws SQLException
    Throws:
      `SQLException`

  - ### getIsJuridical

    public boolean getIsJuridical(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getIsPostpaid

    public boolean getIsPostpaid(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### areChargesAllowedToCid

    public boolean areChargesAllowedToCid(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getUuidsByTariff

    public List<String> getUuidsByTariff(int tid) throws Exception
    Throws:
      `Exception`

  - ### deleteForContract

    public void deleteForContract(int contractId) throws SQLException
    Throws:
      `SQLException`

  - ### uuidToCid

    public int uuidToCid(String uuid)

  - ### cidToUuid

    public String cidToUuid(int ccontractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getCidToCharge

    public int getCidToCharge(int parentContractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`